Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIDataList

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  org.ajax4jsf.component.UIDataAdaptor
                      org.ajax4jsf.component.SequenceDataAdaptor
                          org.richfaces.component.UIDataList

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxDataEncoder

Direct Known Subclasses:
  HtmlDataList, HtmlDataOrderedList, UIDataDefinitionList

    public abstract class UIDataList

extends org.ajax4jsf.component.SequenceDataAdaptor

JSF component class

Nested Class Summary

Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor
`org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.ajax4jsf.component.UIDataAdaptor
`COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`UIDataList()`

Method Summary
`protected java.util.Iterator<javax.faces.component.UIComponent>` | `dataChildren()`
`protected java.util.Iterator<javax.faces.component.UIComponent>` | `fixedChildren()`

Methods inherited from class org.ajax4jsf.component.SequenceDataAdaptor
`createComponentState, createDataModel, getDataModel, setDataModel`

Methods inherited from class org.ajax4jsf.component.UIDataAdaptor
`addRequestKey, broadcast, broadcastLocal, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, encodeBegin, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyConverter, getRowKeyVar, getStateVar, getValue, invokeOnComponent, isRowAvailable, iterate, processDecodes, processDecodes, processUpdates, processUpdates, processValidators, processValidators, queueEvent, removeRequestKey, resetComponent, resetDataModel, restoreChildState, restoreOrigValue, restoreOrigValue, restoreState, saveChildState, saveState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowIndex, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setupVariable, setValue, walk`

Methods inherited from class javax.faces.component.UIData
`getFamily, getFirst, getFooter, getHeader, getRows, getVar, setFirst, setFooter, setHeader, setRows, setValueBinding, setValueExpression, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIDataList

    public UIDataList()

Method Detail

### dataChildren

    protected java.util.Iterator<javax.faces.component.UIComponent> dataChildren()

  Specified by:
    `dataChildren` in class `org.ajax4jsf.component.UIDataAdaptor`

### fixedChildren

    protected java.util.Iterator<javax.faces.component.UIComponent> fixedChildren()

  Specified by:
    `fixedChildren` in class `org.ajax4jsf.component.UIDataAdaptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.